{
    attributes = (
        {
            columnName = EXE_ORDRE; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = TCD_ABREGE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = tcd_abrege; }; 
            name = tcdAbrege; 
            valueClassName = NSString; 
            valueType = S; 
            width = 12; 
        }, 
        {
            columnName = TCD_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = tcd_code; }; 
            name = tcdCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = TCD_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = tcd_libelle; }; 
            name = tcdLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = TCD_ORDRE; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = TCD_PRESIDENT; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = tcd_president; }; 
            name = tcdPresident; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = B; 
        }, 
        {
            columnName = TCD_SECT; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = tcd_sect; }; 
            name = tcdSect; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, tcdAbrege, tcdCode, tcdLibelle, tcdOrdre, tcdPresident, tcdSect); 
    className = org.cocktail.fwkcktldepense.server.metier.EOTypeCredit; 
    classProperties = (exercice, tcdAbrege, tcdCode, tcdLibelle, tcdPresident, tcdSect); 
    externalName = JEFY_DEPENSE.V_TYPE_CREDIT; 
    internalInfo = {
        _clientClassPropertyNames = (exercice, tcdAbrege, tcdCode, tcdLibelle, tcdPresident, tcdSect); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOTypeCredit; 
        _nameInObjectStore = TYPE_CREDIT; 
    }; 
    name = FwkCaramboleTypeCredit; 
    primaryKeyAttributes = (tcdOrdre); 
    relationships = (
        {
            destination = FwkCaramboleExercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
